/*
**  CRITFAIL.H
**
**  Prototypes for enable_crit_fail() and disable_crit_fail()
**  Module is supplied in large model, but can be called from any model.
*/

extern unsigned int have_vector;

extern int far enable_crit_fail(void);
/*
**  enable_crit_fail()
**  enables critical error fail handling. returns 0 on fail (which only
**  happens when enable_crit_fail() has already been called), and 1 on
**  success.
*/

extern void far disable_crit_fail(void);
/*
**  disable_crit_fail()
**  reverses action of enable_crit_fail(), which can be called again
**  immediately.  this function is NOT dangerous if enable_crit_fail() has
**  not been called.
*/

